Subject: [netconf] [Technical Errata Reported] RFC8040 (5857)

From: RFC Errata System <[email-masked]>
Date: Tue, 10 Sep 2019 20:39:01 -0700 (PDT)

The following errata report has been submitted for RFC8040,
"RESTCONF Protocol".

--------------------------------------
You may review the report below and at:
https://www.rfc-editor.org/errata/eid5857

--------------------------------------
Type: Technical
Reported by: Qin WU <[email-masked]>

Section: 3.1

Original Text
-------------
   The server might respond as follows:

      HTTP/1.1 200 OK
      Date: Thu, 26 Jan 2017 20:56:30 GMT
      Server: example-server
      Cache-Control: no-cache
      Last-Modified: Thu, 26 Jan 2017 16:00:14 GMT
      Content-Type: application/yang-data+json

      { "operations" : { "example-jukebox:play" : [null] } }

Corrected Text
--------------
   The server might respond as follows:

      HTTP/1.1 200 OK
      Date: Thu, 26 Jan 2017 20:56:30 GMT
      Server: example-server
      Cache-Control: no-cache
      Last-Modified: Thu, 26 Jan 2017 16:00:14 GMT
      Content-Type: application/yang-data+json

      { "operations" :[ { "example-jukebox:play" : [null] } ]}

Notes
-----
Returned operations in the RESTCONF response should be an array of the particular type, therefore the brackets are needed to enclose a list of operations associated with example-jukebox.

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party  
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC8040 (draft-ietf-netconf-restconf-18)
--------------------------------------
Title               : RESTCONF Protocol
Publication Date    : January 2017
Author(s)           : A. Bierman, M. Bjorklund, K. Watsen
Category            : PROPOSED STANDARD
Source              : Network Configuration
Area                : Operations and Management
Stream              : IETF
Verifying Party     : IESG

---

From: Ladislav Lhotka <[email-masked]>
Date: Wed, 11 Sep 2019 12:44:40 +0200

Hi,

this erratum should be rejected: "operations" is defined as a container in the
ietf-restconf module, so according to RFC 7951 (sec. 5.2) it is represented as a
name/object pair in JSON.

Lada

On Tue, 2019-09-10 at 20:39 -0700, RFC Errata System wrote:
> Returned operations in the RESTCONF response should be an array of the
> particular type, therefore the brackets are needed to enclose a list of
> operations associated with example-jukebox.
> 
> Instructions:
> -------------
> _______________________________________________
> netconf mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/netconf
-- 
Ladislav Lhotka
Head, CZ.NIC Labs
PGP Key ID: 0xB8F92B08A9F76C67